Bug Hunting Session
Bug 111305 - PIVOT TABLE: Group disappears after renaming
Summary: PIVOT TABLE: Group disappears after renaming
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0 all versions
Hardware: All All
: medium normal
Assignee: Dimitri Bouron
URL:
Whiteboard: target:6.0.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Pivot-Table
  Show dependency treegraph
 
Reported: 2017-08-03 09:30 UTC by Dimitri Bouron
Modified: 2017-10-09 08:27 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments
Test file (10.65 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-08-03 09:30 UTC, Dimitri Bouron
Details
hotfix patch (1.11 KB, patch)
2017-08-03 10:08 UTC, Dimitri Bouron
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Dimitri Bouron 2017-08-03 09:30:03 UTC
Description:
Renaming a group in pivot table causes disappearance of itself.

Steps to Reproduce:
1. Create a pivot table from column X and Y (See attachment). Place  X in row fields and Y in data fields.
2. Select range from A_0 to A_2 in order to make group A. Hit F12 to create group.
3. Select cell with value 'Group1', rename it as 'A'.

Actual Results:  
The group 'A' is actually hidden, just refresh pivot table to see A group with correct group name.

Expected Results:
It should automatically refresh group name.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Ubuntu; Linux x86_64; rv:54.0) Gecko/20100101 Firefox/54.0
Comment 1 Dimitri Bouron 2017-08-03 09:30:50 UTC
Created attachment 135094 [details]
Test file
Comment 2 Xisco Faulí 2017-08-03 10:02:22 UTC
It seems the hidden problem started with

author	Markus Mohrhard <markus.mohrhard@googlemail.com>	2014-12-06 23:23:35 (GMT)
committer	Markus Mohrhard <markus.mohrhard@googlemail.com>	2014-12-07 00:13:52 (GMT)
commit	8e417a8fed528034e946bd25e66ce346c1b5384d (patch)
tree	3cb01f544b2fa3a224a6411b01a5834770ef182b
parent	88d3931d92bc89519acf95f0510f6f2a6ff7c72c (diff)
use correct xml element name, related fdo#45266
Below data-pilot-groups the correct element name is
data-pilot-group-member and not data-pilot-member.

Bisected with bibisect-50max

Adding Cc: to Markus Mohrhard
Comment 3 Dimitri Bouron 2017-08-03 10:06:45 UTC
I have just sent a patch which refresh groups in cache as suggested by Peter Nowee. 
(Here https://bugs.documentfoundation.org/show_bug.cgi?id=92616#add_comment)
Comment 4 Dimitri Bouron 2017-08-03 10:08:46 UTC
Created attachment 135095 [details]
hotfix patch
Comment 5 Xisco Faulí 2017-08-03 10:10:25 UTC
Hello Dimitri,
Thanks for the patch.
Please, submit it to gerrit as described here: https://wiki.documentfoundation.org/Development/gerrit/SubmitPatch
Regards
Comment 6 Xisco Faulí 2017-08-03 10:17:10 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/40712/

Remember to send the licence statement as described here: https://wiki.documentfoundation.org/Development/Developers
Comment 7 Dimitri Bouron 2017-08-03 10:18:48 UTC
(In reply to Xisco Faulí from comment #5)
> Hello Dimitri,
> Thanks for the patch.
> Please, submit it to gerrit as described here:
> https://wiki.documentfoundation.org/Development/gerrit/SubmitPatch
> Regards

Hello,

I followed all steps few minutes ago, here is my commit:

https://gerrit.libreoffice.org/#/c/40712/

I am just waiting for a review.

Regards
Comment 8 Dimitri Bouron 2017-08-03 10:20:39 UTC
(In reply to Xisco Faulí from comment #6)
> Remember to send the licence statement as described here:
> https://wiki.documentfoundation.org/Development/Developers

I sent my license statement last year:

https://lists.freedesktop.org/archives/libreoffice/2016-December/076357.html
Comment 9 Xisco Faulí 2017-08-03 10:21:21 UTC
ok, great!
Comment 10 Commit Notification 2017-09-06 08:28:51 UTC
Dimitri Bouron committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=3d37e10684edf9536beefe5670b144571e6c9792

tdf#111305: Fix group name refresh in pivot table

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 11 Xisco Faulí 2017-10-07 08:11:03 UTC
A polite ping to Dimitri Bouron: is this bug fixed? if so, could you please close it as RESOLVED FIXED ? Thanks
Comment 12 Dimitri Bouron 2017-10-09 08:27:27 UTC
Yes, it is.